## API Report File for "@fluentui/react-tree"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

/// <reference types="react" />

import type { ARIAButtonElement } from '@fluentui/react-aria';
import type { ARIAButtonSlotProps } from '@fluentui/react-aria';
import type { ComponentProps } from '@fluentui/react-utilities';
import type { ComponentState } from '@fluentui/react-utilities';
import { ContextSelector } from '@fluentui/react-context-selector';
import { FC } from 'react';
import type { ForwardRefComponent } from '@fluentui/react-utilities';
import { Provider } from 'react';
import { ProviderProps } from 'react';
import * as React_2 from 'react';
import type { Slot } from '@fluentui/react-utilities';
import type { SlotClassNames } from '@fluentui/react-utilities';

// @public
export const BaseTreeItem: ForwardRefComponent<BaseTreeItemProps>;

// @public (undocumented)
export const baseTreeItemClassNames: SlotClassNames<BaseTreeItemSlots>;

// @public
export type BaseTreeItemProps = ComponentProps<BaseTreeItemSlots>;

// @public (undocumented)
export type BaseTreeItemSlots = {
    root: Slot<ARIAButtonSlotProps>;
};

// @public
export type BaseTreeItemState = ComponentState<BaseTreeItemSlots> & {
    open: boolean;
    isLeaf: boolean;
};

// @public
export const renderBaseTreeItem_unstable: (state: BaseTreeItemState) => JSX.Element;

// @public (undocumented)
export const renderTree_unstable: (state: TreeState, contextValues: TreeContextValues) => JSX.Element;

// @public
export const renderTreeItem_unstable: (state: TreeItemState) => JSX.Element;

// @public
export const Tree: ForwardRefComponent<TreeProps>;

// @public (undocumented)
export const treeClassNames: SlotClassNames<TreeSlots>;

// @public (undocumented)
export type TreeContextValue = {
    level: number;
    openSubtrees: string[];
    focusFirstSubtreeItem(target: HTMLElement): void;
    focusSubtreeOwnerItem(target: HTMLElement): void;
    requestOpenChange(data: TreeOpenChangeData): void;
};

// @public
export const TreeItem: ForwardRefComponent<TreeItemProps>;

// @public (undocumented)
export const treeItemClassNames: SlotClassNames<TreeItemSlots>;

// @public
export type TreeItemProps = ComponentProps<TreeItemSlots> & BaseTreeItemProps;

// @public (undocumented)
export type TreeItemSlots = BaseTreeItemSlots & {
    expandIcon?: Slot<'span'>;
    iconBefore?: Slot<'span'>;
    iconAfter?: Slot<'span'>;
    actionIcon?: Slot<'span'>;
};

// @public
export type TreeItemState = ComponentState<TreeItemSlots>;

// @public (undocumented)
export type TreeProps = ComponentProps<TreeSlots> & {
    openSubtrees?: string | string[];
    defaultOpenSubtrees?: string | string[];
    onOpenChange?(event: TreeOpenChangeEvent, data: TreeOpenChangeData): void;
};

// @public (undocumented)
export const TreeProvider: Provider<TreeContextValue | undefined> & FC<ProviderProps<TreeContextValue | undefined>>;

// @public (undocumented)
export type TreeSlots = {
    root: Slot<'div'>;
};

// @public
export type TreeState = ComponentState<TreeSlots> & TreeContextValue & {
    open: boolean;
};

// @public
export const useBaseTreeItem_unstable: (props: BaseTreeItemProps, ref: React_2.Ref<BaseTreeItemElement>) => BaseTreeItemState;

// @public
export const useBaseTreeItemStyles_unstable: (state: BaseTreeItemState) => BaseTreeItemState;

// @public
export const useTree_unstable: (props: TreeProps, ref: React_2.Ref<HTMLElement>) => TreeState;

// @public (undocumented)
export const useTreeContext_unstable: <T>(selector: ContextSelector<TreeContextValue, T>) => T;

// @public
export const useTreeItem_unstable: (props: TreeItemProps, ref: React_2.Ref<TreeItemElement>) => TreeItemState;

// @public
export const useTreeItemStyles_unstable: (state: TreeItemState) => TreeItemState;

// @public (undocumented)
export const useTreeStyles_unstable: (state: TreeState) => TreeState;

// (No @packageDocumentation comment for this package)

```
